Lists all active license sessions across the system with pagination, sorting, and filtering.
const url = 'https://example.com/api/v1/provision/admin/sessions/activations';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/sessions/activationsParameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”1-based page index.
Page size.
Optional sort expression.
Optional filter expression.
Responses
Section titled “ Responses ”OK
object
object
Optional display name of the device where the license is activated. Useful for management UIs and user identification of licensed devices.
Identifies the specific process that holds this license when concurrent licensing is enabled. Relevant when multiple processes on the same hardware require separate licenses.
object
object
Optional display name of the device where the license is activated. Useful for management UIs and user identification of licensed devices.
Identifies the specific process that holds this license when concurrent licensing is enabled. Relevant when multiple processes on the same hardware require separate licenses.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isTrial": true, "isValidSession": true, "activationTime": "2026-04-15T12:00:00Z", "lastAccessTime": "2026-04-15T12:00:00Z", "leaseExpiration": "2026-04-15T12:00:00Z", "graceExpiration": "2026-04-15T12:00:00Z", "leaseTime": "example", "trialExpiration": "2026-04-15T12:00:00Z", "isRevoked": true, "fingerprint": "example", "deviceName": "example", "applicationInstanceId": "example", "activationCode": "example", "licenseKey": "example", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "appliedPlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "appliedPlanName": "example", "licensedProducts": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
object
Optional display name of the device where the license is activated. Useful for management UIs and user identification of licensed devices.
Identifies the specific process that holds this license when concurrent licensing is enabled. Relevant when multiple processes on the same hardware require separate licenses.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isTrial": true, "isValidSession": true, "activationTime": "2026-04-15T12:00:00Z", "lastAccessTime": "2026-04-15T12:00:00Z", "leaseExpiration": "2026-04-15T12:00:00Z", "graceExpiration": "2026-04-15T12:00:00Z", "leaseTime": "example", "trialExpiration": "2026-04-15T12:00:00Z", "isRevoked": true, "fingerprint": "example", "deviceName": "example", "applicationInstanceId": "example", "activationCode": "example", "licenseKey": "example", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "appliedPlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "appliedPlanName": "example", "licensedProducts": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Unauthorized
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}